﻿using System;
using System.Drawing;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BC.AspNetBarcodeGeneratorTrial.Datamatrix;

namespace BCAspNetBarcodeGeneratorDemo
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
             
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            Datamatrix barcode = new Datamatrix();
            barcode.SetData = "246810013579";
            barcode.SetUOM = UnitofMeasurement.Pixel;
            barcode.SetRotation = Rotation.RotateDown;
            barcode.ApplyTilde = false;
            barcode.SetDatamatrixFormat = DatamatrixFormat.Format16X16;
            barcode.SetEncodingMode = DatamatrixEncodingMode.ASCII;
            barcode.SetModuleColor = System.Drawing.Color.Red;
            barcode.SetFNC1 = DatamatrixFNC1.None;
            barcode.AutoSize = false;
            barcode.SetModuleSize = 5;
            barcode.SetDPI = 300;
            barcode.SetLeftSpace = 5;
            barcode.SetRightSpace = 5;
            barcode.SetTopSpace = 5;
            barcode.SetBottomSpace = 5;
            barcode.SetWidth = 80;
            barcode.SetHeight = 80;            
            barcode.GenerateBarcode("F://test.png");
        }
       
    }
/* In addition to String, you can also output barcode to Bitmap object, Stream object, Graphics object, HttpResponse object or byte array.
             Stream stream = ...;
             barcode.GenerateBarcode(stream);  

             Bitmap barcodeInBitmap = GenerateBarcode();   
     
             Graphics graphics = ...
             barcode.GenerateBarcode(graphics);  

             HttpResponse response = ...;
             barcode.GenerateBarcode(response);
       
             byte[] barcodeInBytes = barcode.GenerateasBytes(); */
}