﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using BC.NetWinBarcodeGeneratorTrial.Datamatrix;

namespace BCNetWinBarcodeGeneratorDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Datamatrix barcode = new Datamatrix();
            barcode.SetData = "246810013579";
            barcode.SetUOM = UnitofMeasurement.Pixel;
            barcode.SetRotation = Rotation.RotateDown;
            barcode.ApplyTilde = false;
            barcode.SetDatamatrixFormat = DatamatrixFormat.Format16X16;
            barcode.SetEncodingMode = DatamatrixEncodingMode.ASCII;
            barcode.SetModuleColor = System.Drawing.Color.Red;
            barcode.SetFNC1 = DatamatrixFNC1.None;
            barcode.AutoSize = false;
            barcode.SetModuleSize = 5;
            barcode.SetDPI = 300;
            barcode.SetLeftSpace = 5;
            barcode.SetRightSpace = 5;
            barcode.SetTopSpace = 5;
            barcode.SetBottomSpace = 5;
            barcode.SetWidth = 80;
            barcode.SetHeight = 80;
            barcode.SetImageFormat = System.Drawing.Imaging.ImageFormat.Png;
            Image image = barcode.GenerateBarcode();
            pictureBox1.Image = image;
        }

        private void Form1_Load_1(object sender, EventArgs e)
        {         

        }
    }
    /* In addition to String and Bitmap object, you can also output barcode to Stream object, Graphics object or byte array.
         
         Stream stream = ...;
         barcode.GenerateBarcode(stream);         
         
         Graphics graphics = ...
         barcode.GenerateBarcode(graphics);      
         
         byte[] barcodeInBytes = barcode.GenerateasBytes(); */
}
